MrtWoo_AntiSpamBlockList = {};
MrtWoo_AntiSpamBlockList.BlockList = setmetatable({},{__mode="k"});

function MrtWoo_AntiSpamBlockList:new(o)
	o = o or {};
	setmetatable(o, self);
	self.__index = self;
	
	if (MrtWoo.db.profile.modules.as_blocklist == false) then
		 MrtWoo.db.profile.modules.as_blocklist = setmetatable({},{__mode="k"});
	end;
	
	o.BlockList = MrtWoo.db.profile.modules.as_blocklist;--setmetatable({},{__mode="k"});

	self.BlockList = o.BlockList;
	
	return o;
end;

function MrtWoo_AntiSpamBlockList:Block(player, lifetime, reason)
	-- MrtWoo:Print('== call MrtWoo_AntiSpamBlockList:Block ===');
	local _player = string.lower(player);
	self.BlockList[_player] = {player = player, time = GetTime(), lifetime = lifetime, reason = reason };
end;

function MrtWoo_AntiSpamBlockList:UnBlock(player)
	local _player = string.lower(player);
	self.BlockList[_player] = nil;	
end;

function MrtWoo_AntiSpamBlockList:IsBlocked(player)
	local _player = string.lower(player);
	local _blockInfo = self.BlockList[_player];
	if not _blockInfo then
		return false;
	end;
	
	local _tNow  = GetTime();
	
	if (_blockInfo.lifetime > 0) and ((_tNow - _blockInfo.time) > _blockInfo.lifetime) then
		self:UnBlock(_player);
		return false;
	end;
	
	return true;
end;